database.sarang.net
UserID
Passwd
Database
DBMS
MySQL
ㆍPostgreSQL
Firebird
Oracle
Informix
Sybase
MS-SQL
DB2
Cache
CUBRID
LDAP
ALTIBASE
Tibero
DB 문서들
스터디
Community
공지사항
자유게시판
구인|구직
DSN 갤러리
도움주신분들
Admin
운영게시판
최근게시물
PostgreSQL Q&A 10277 게시물 읽기
No. 10277
This functionality requires the server to be built with libxml support.
작성자
주호민대머리
작성일
2021-08-24 17:13
조회수
279

ERROR:  unsupported XML feature

                                                             ^

DETAIL:  This functionality requires the server to be built with libxml support.

HINT:  You need to rebuild PostgreSQL using --with-libxml.

SQL state: 0A000

Character: 306



해당 error 가 발생하는데 해결이 어려워 질문드립니다.


postgresql 12.7 버전을 사용중입니다.


 

이 글에 대한 댓글이 총 3건 있습니다.

말그대로입니다.

PostgreSQL 소스 파일로 직접 빌드해서 사용하는가봅니다.

직접 빌드 할 때, --with-libxml 옵션을 추가해서 configure 명령을 실행하고, 다시 실행파일을 만들어서 사용하면 됩니다.


다 귀찮으면, 그냥 org 사이트에서 제공하는 미리 빌드된 패키지를 설치해서 사용하세요.

 

김상기(ioseph)님이 2021-08-24 17:18에 작성한 댓글입니다.

ㄴ> ./config --with-libxml 을 실행하였는데 다시 실행파일을 만들라는말씀이 이해가 가지 않습니다.

주호민대머리님이 2021-08-24 17:37에 작성한 댓글입니다. Edit

https://www.postgresql.org/docs/current/installation.html

김상기(ioseph)님이 2021-08-27 00:49에 작성한 댓글입니다.
[Top]
No.
제목
작성자
작성일
조회
10280control-m current transaction is aborted, command ignored until end of transaction block 해결 방안은 [1]
탁공
2021-09-21
46
10278postgreSQL 테이블 트리거 관련한 질문입니다. [4]
원종태
2021-09-01
185
10277This functionality requires the server to be built with libxml support. [3]
주호민대머리
2021-08-24
279
10276오라클 프로시져 plpgsql로 변환 (트랜젝션 관련) [2]
나그네
2021-08-23
292
10275xml 형식의 데이터 인서트 시 에러 [2]
질문왕
2021-08-19
321
10273VIEW 사용 [1]
강정윤
2021-07-28
590
Valid XHTML 1.0!
All about the DATABASE... Copyleft 1999-2021 DSN, All rights reserved.
작업시간: 0.012초, 이곳 서비스는
	PostgreSQL v13.3으로 자료를 관리합니다